#!/bin/bash
# Zarafa, B.V.

for requirement in perl make ldapsearch zarafa-backup; do
	REQ_LOCATION="`which $requirement`"
	if [[ ! -e $REQ_LOCATION ]]; then
		echo "Missing requirement: $requirement - Please install first"
		exit 1
	fi
done

cp -f `pwd`/zarafa-cluster-backup `pwd`/zarafa-cluster-multid.pl /usr/sbin/
if [[ ! -d /etc/zarafa ]]; then
	mkdir /etc/zarafa
fi
if [[ ! -e /etc/zarafa/backup-cluster.cfg ]]; then
	cp `pwd`/backup-cluster.cfg /etc/zarafa/
else
	cp -f `pwd`/backup-cluster.cfg /etc/zarafa/backup-cluster.cfg.new
fi
if [[ ! -e /etc/zarafa/backup-`hostname`.cfg ]]; then
	cp `pwd`/backup-HOSTNAME.cfg.example /etc/zarafa/backup-`hostname`.cfg
else
	cp -f `pwd`/backup-HOSTNAME.cfg.example /etc/zarafa/backup-`hostname`.cfg.example
fi

chown root:root /usr/sbin/zarafa-cluster-backup /usr/sbin/zarafa-cluster-multid.pl
chmod 770 /usr/sbin/zarafa-cluster-backup /usr/sbin/zarafa-cluster-multid.pl

exit 0
